com.unitech.lib.types

## Enum BeepIndicator

- java.lang.Object
- - java.lang.Enum<BeepIndicator>
  - - com.unitech.lib.types.BeepIndicator

- All Implemented Interfaces:
    Serializable, Comparable<BeepIndicator>

      public enum BeepIndicator
      extends Enum<BeepIndicator>

  The BeepIndicator enum represents different beep indicators for a scanner. Each beep indicator is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of a beep indicator, and to get a beep indicator from its byte value. It also provides a method to get an array containing the names of the beep indicators.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `none`
    `once`
    `threeTimes`
    `twice`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BeepIndicator` | `fromValue(byte value)` Gets a beep indicator from its byte value.
    `static BeepIndicator` | `fromValue(int value)` Gets a beep indicator from its integer value.
    `byte` | `getCode()` Gets the byte value of the beep indicator.
    `static String[]` | `names()` Returns an array containing the names of the beep indicator constants.
    `String` | `toString()` Returns the string message of the beep indicator.
    `byte` | `value()` Gets the byte value of the beep indicator.
    `static BeepIndicator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BeepIndicator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final BeepIndicator none

    - #### once

          public static final BeepIndicator once

    - #### twice

          public static final BeepIndicator twice

    - #### threeTimes

          public static final BeepIndicator threeTimes

  - ### Method Detail

    - #### values

          public static BeepIndicator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BeepIndicator c : BeepIndicator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BeepIndicator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Gets the byte value of the beep indicator.
      Returns:
        The byte value of the beep indicator.

    - #### getCode

          public byte getCode()

      Gets the byte value of the beep indicator.
      Returns:
        The byte value of the beep indicator.

    - #### toString

          public String toString()

      Returns the string message of the beep indicator.
      Overrides:
        `toString` in class `Enum<BeepIndicator>`
      Returns:
        The string message of the beep indicator.

    - #### fromValue

          public static BeepIndicator fromValue(byte value)
                                         throws IllegalArgumentException

      Gets a beep indicator from its byte value.
      Parameters:
        `value` - The byte value of the beep indicator.
      Returns:
        The beep indicator associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any beep indicator.

    - #### fromValue

          public static BeepIndicator fromValue(int value)
                                         throws IllegalArgumentException

      Gets a beep indicator from its integer value.
      Parameters:
        `value` - The integer value of the beep indicator.
      Returns:
        The beep indicator associated with the integer value.
      Throws:
        `IllegalArgumentException` - If the integer value does not correspond to any beep indicator.

    - #### names

          public static String[] names()

      Returns an array containing the names of the beep indicator constants.
      Returns:
        An array containing the names of the beep indicator constants.